Summary:	gccmakedep utility - create dependencies in makefiles using gcc
Summary(pl.UTF-8):	Narzędzie gccmakedep - tworzenie zależności w makefile'ach przy użyciu gcc
Name:		xorg-util-gccmakedep
Version:	1.0.3
Release:	3
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/gccmakedep-%{version}.tar.bz2
# Source0-md5:	683847bee13c78a005705824a7c6f225
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	gcc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
The gccmakedep program calls 'gcc -M' to output makefile rules
describing the dependencies of each sourcefile, so that make knows
which object files must be recompiled when a dependency has changed.

%description -l pl.UTF-8
Program gccmakedep wywołuje 'gcc -M', aby uzyskać reguły do pliku
makefile opisujące zależności wszystkich plików źródłowych, dzięki
którym program make wie, które pliki wynikowe należy przekompilować w
przypadku zmiany zależnego pliku źródłowego.

%prep
%setup -q -n gccmakedep-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/gccmakedep
%{_mandir}/man1/gccmakedep.1*
%changelog
* Sun May 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-util-gccmakedep.git;a=log;h=master

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> b600038
- empty debugsource, disable it

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b7dbd0b
- x32 rebuild
- release 2 (by relup.sh)

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 67f0793
- updated to 1.0.3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df92f2
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8264838
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c431252
- converted to UTF-8

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 7788bca
- desc from manual

* Tue May 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2093e3c
- up to 1.0.2

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 73ee87d
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0235ff3
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2eb402b
- switch to individual files

* Fri Mar 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 119e2f7
- release 1

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 18acd19
- 1.0.1 (X11R7.0 release)

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 28ed1d6
- R: gcc not cpp

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 3d7c30c
- new

